This URL to perform the action on hash to make it allow/block/unclassified.
Resource URL
PUT /<nbaid>/endpointintelligence/<hash>/takeaction/<action>
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| hash | Hash | String | Yes |
| Action | Action
|
String | Yes |
| nbaId | NTBA monitors id | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| Status | Status | Int |
Example
Request
PUT https://%3CNSM_IP%3E/sdkapi/1001/endpointintelligence/aaaaaaaa16/takeaction/Allow
Response
{
"status":1
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 3601 | Invalid duration |
| 2 | 400 | 4901 | Invalid hash |
| 3 | 400 | 4903 | Invalid action |